Method: projects.locations.folders.deleteTree

Deletes a Folder with its contents (Folders, Repositories, Workspaces, ReleaseConfigs, and WorkflowConfigs).

HTTP request

POST https://dataform.googleapis.com/v1/{name=projects/*/locations/*/folders/*}:deleteTree

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The Folder's name. Format: projects/{project}/locations/{location}/folders/{folder}

Request body

The request body contains data with the following structure:

JSON representation
{
  "force": boolean
}
Fields
force

boolean

Optional. If false (default): The operation will fail if any Repository within the folder hierarchy has associated Release Configs or Workflow Configs.

If true: The operation will attempt to delete everything, including any Release Configs and Workflow Configs linked to Repositories within the folder hierarchy. This permanently removes schedules and resources.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataform.folders.deleteTree

For more information, see the IAM documentation.